#############################################################################
##
##  read.g                hallpoly package                       Bettina Eick
##                                                             Alexander Cant
##

## some general stuff
ReadPackage( "hallpoly", "gap/basic.gi" );      # basic stuff
ReadPackage( "hallpoly", "gap/printpol.gi" );   # print poly's to file
ReadPackage( "hallpoly", "gap/hallfun.gi" );    # multiplication/powering
ReadPackage( "hallpoly", "gap/check.gi" );      # for checking
ReadPackage( "hallpoly", "gap/test.gi" );      # for runtime tests

## set up variables and precompute up to LIMIT
Print(" ...setup variables \n");
ReadPackage( "hallpoly", "gap/setup.gi" );     
SetupVariables(LIMIT);

## read available hall recs
Print(" ...reading polynomials for Hirsch length 3 \n");
ReadPackage( "hallpoly", "lib/hrl3.gi");
Print(" ...reading polynomials for Hirsch length 4 \n");
ReadPackage( "hallpoly", "lib/hrl4.gi");
Print(" ...reading polynomials for Hirsch length 5 \n");
ReadPackage( "hallpoly", "lib/hrl5.gi");
Print(" ...reading polynomials for Hirsch length 6 \n");
ReadPackage( "hallpoly", "lib/hrl6.gi");
Print(" ...reading polynomials for Hirsch length 7 \n");
ReadPackage( "hallpoly", "lib/hrl7.gi");
Print(" ...done \n");

# add info
for i in [3..7] do HallRec[i].hlen := i; od;

## construction algorithm for generic case
ReadPackage( "hallpoly", "gap/generic.gi" );

## construction algorithm for fixed case
#ReadPackage( "hallpoly", "gap/fixed.gi" ); 

